Subject: Re: bug#20733: coreutils build problem

From: Paul Eggert <[email-masked]>
Date: Thu, 04 Jun 2015 16:51:49 -0700

Eric Blake wrote:
> Actually, POSIX_does_  allow for missing words between 'in' and the
> terminator (; or newline) before 'do' (whether by a word that expands to
> nothing, or by omission of words), requiring that the body of the for
> statement is skipped in that case:

Ah, sorry, I was thinking of previous versions of POSIX, which required at least 
one word after the 'in'.  You're right, the current POSIX version doesn't 
require this any more.  So the Solaris sh in question is conforming to the old 
POSIX standard but not to the current one.

I liked the approach with "``"; I hadn't thought of that.  I used the coreutils 
fix I did because other coreutils code already fixed similar for-loop problems 
that way.